Subject: bug#56311: [PATCH] new function: delete-visited-file

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Jul 2022 09:04:31 +0300

> From: Zachary Kanfer <[email-masked]>
> Date: Sun, 3 Jul 2022 01:06:40 -0400
> Cc: Sean Whitton <[email-masked]>, Lars Ingebrigtsen <[email-masked]>, 
> 	Visuwesh <[email-masked]>, [email-masked]
> 
> > > It's interesting to see commentary about how one shouldn't want to kill
> buffers. There is a lot of functionality
> > > revolving around killing buffers.
> >
> > Examples of such functionality?  I'm not sure I understand what you
> > have in mind here.
> 
> I mean functions like kill-buffer, eww-buffer-kill,ido-kill-buffer,
> project-kill-buffers, gnus-kill-buffer. There are many functions that
> assist killing buffers.

OK, and what is the relevance of that to the issue at hand?

> > > I find that the more buffers I have open, the longer it takes to
> > > find a given buffer.
> >
> > "Find" in what way?  Please tell more about the problems you have in
> > sessions with many buffers, because I'm not aware of any significant
> > problems.
> 
> When trying to switch to a buffer, the more buffers in the list, the more
> work needs to be done to find the single buffer I do want.

We have several features to make this easier.  There's completion on
buffer names, there's the "Buffers" menu on the menu bar, there are
"C-x C-b" and electric-buffer-list -- and that's only in vanilla
Emacs.

> > > Personally, I never want to delete a file and keep the buffer around.
> So I have replaced *all* my usages of
> > > `delete-file` with this new one.
> >
> > That's fine: Emacs is great because it lets you do that to fit your
> > personal needs.  No one here is saying that it's wrong for you to do
> > that
> 
> In this thread, there are messages like "..we generally don't care about
> that (because it does no harm to have unused buffers)...", an argument to
> not close the buffer (because it allowed them to resurrect mistakenly
> deleted files), and "They shouldn't be using [this command] a lot...".

Note the "in general" part.  This doesn't contradict your own personal
needs, if they are special ones.

> > the discussion is whether doing so is TRT for many/most Emacs
> > users (which could have different workflows).
> 
> How would we know if proposed functionality *would* be used by enough
> users? What is a threshhold for enough users to add a function?

We usually judge that by the number of people who request a feature.